Bug 42678 - bsd.sites.mk - add the netscape master site
Summary: bsd.sites.mk - add the netscape master site
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: sada
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-12 06:20 UTC by Kimura Fuyuki
Modified: 2002-11-09 19:06 UTC (History)
0 users

See Also:


Attachments
file.diff (2.77 KB, patch)
2002-09-12 06:20 UTC, Kimura Fuyuki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kimura Fuyuki 2002-09-12 06:20:01 UTC
Add MASTER_SITE_NETSCAPE. This can be used by the following ports
though some of these are forbidden :)

www/linux-netscape6
www/netscape4-communicator
www/netscape4-navigator
www/netscape47-communicator
www/netscape48-communicator
www/plugger
www/ump

The mirror list has been taken from www/linux-netscape6.
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2002-10-12 03:25:50 UTC
Responsible Changed
From-To: freebsd-ports->sada

Over to maintainer of netscape* ports for evaluation. If he considers 
it applicable, then this should be considered by portmgr
Comment 2 Trevor Johnson 2002-10-12 04:39:05 UTC
> I think this is good and want Trevor's opinion.

I like it too.  I am going to remove the Netscape 6 ports soon, so I
looked at
<URL:http://people.freebsd.org/~fenner/portsurvey/www.html#netscape7> and
removed from the list some sites which had problems.  The updated list is
at
<URL:http://people.freebsd.org/~trevor/ports/master-site-netscape.diff>.
Sada-san, please check whether the remaining ones are suitable for the
Netscape 4.80 ports.

Please don't update the Netscape 6 or 7 ports to use the new master site.
I will do that.
-- 
Trevor Johnson
Comment 3 Trevor Johnson 2002-10-14 14:38:43 UTC
I went ahead and added MASTER_SITE_NETSCAPE to bsd.sites.mk.
-- 
Trevor Johnson
Comment 4 sada freebsd_committer 2002-10-15 09:40:11 UTC
Responsible Changed
From-To: sada->portmgr

I'm in agreement with this PR, and will be waiting for portmgr's consideration. 
Please re-assign me when you reach the conclusion.
Comment 5 sada freebsd_committer 2002-10-15 17:37:28 UTC
On Mon, 14 Oct 2002 09:38:43 -0400 (EDT)
Trevor Johnson <trevor@jpj.net> wrote:

> I went ahead and added MASTER_SITE_NETSCAPE to bsd.sites.mk.

I'm not sure but don't you need portmgr's approval, as lioux said ?

--
SADA Kenji <sada@FreeBSD.org>
Comment 6 Trevor Johnson 2002-10-15 18:24:11 UTC
> I'm not sure but don't you need portmgr's approval, as lioux said ?

The file says:

# This file does not have any designated maintainer, so feel free to
# commit to it yourself.  However, it is generally a good idea to
# notify the principle maintainer in case you have a change to one of
# the software environments (KDE, GNOME, etc.).

AFAICT, you and I are the principal maintainers of the Netscape ports.  I
thought we were in agreement that this is a good idea.  If the list of
sites is not to your liking, please adjust it.  Just leave some sites that
carry the Netscape 7 ports, please.
-- 
Trevor Johnson
Comment 7 Tilman Keskinoz freebsd_committer 2002-10-28 23:01:21 UTC
Responsible Changed
From-To: portmgr->sada

The only thing open from this PR is: 

Sada-san, please check whether the remaining ones are suitable for the 
Netscape 4.80 ports. 

So I'll pass this PR to Sada.
Comment 8 sada freebsd_committer 2002-11-09 19:01:26 UTC
State Changed
From-To: open->closed

All files are updated now, thanks! 
- Mk/bsd.sites.mk 
- www/linux-netscape7 
- www/netscape48-communicator 
- www/plugger 
- www/ump